@echo off
setlocal
PUSHD %~dp0
::
set SourceDir=%cd%
:: ------------------------------------Variable setzen
set OU=Computer
:: ---------------------------------------------------
set GPOs=%Sourcedir%\GPOs-%OU%
set GPOsTXT=GPOs-%OU%.txt
set GPOsXML=GPOs-%OU%.XML
:: ---------------------------------------------------
rem
rem ################################################################
rem
rem  Import einzelner Gruppenrichtlinienobjekte
rem  Erich Vonach
rem  08.04.2019
rem
rem #################################################################
::
color 4F
echo -------------------------------------------------------------
echo.
echo Import einzelner Gruppenrichtlinienobjekte
echo.
echo -------------------------------------------------------------
echo.
echo.
echo.
echo Abbrechen mit Strg+C oder weiter mit ENTER
echo.
pause
cls
rem #########################################################################################################################
rem # Anweisungen #
rem ###############
::
:: ---- vorhandene GPOs lschen
::
FOR /F "usebackq tokens=1 delims=;" %%G IN (%SourceDir%\%GPOsTXT%) do cscript %SourceDir%\Tools\DeleteGPO.wsf %%G
::
:: ---- GPOs erstellen und importieren
::
FOR /F "usebackq tokens=1 delims=;" %%G IN (%SourceDir%\%GPOsTXT%) do cscript %SourceDir%\Tools\ImportGPO.wsf %GPOs%\%%G %%G /CreateIfNeeded
cscript %SourceDir%\Tools\CreateEnvironmentFromXML.wsf /XML:%GPOs%\%GPOsXML% /createUserenabeled /Q
::
::
echo.
echo.
echo.
echo  --------------------------------------------------------------
cls
color 2E
echo.
echo  Die %OU%-GPOs wurden erstellt und verknuepft.
echo.
echo  --------------------------------------------------------------
echo.
pause
endlocal

