@echo off
setlocal
PUSHD %~dp0
::
set SourceDir=%cd%
:: ------------------------------------Variable setzen
set OU=Office2019
:: ---------------------------------------------------
set GPOs=%Sourcedir%\GPOs-%OU%
set GPOsTXT=GPOs-%OU%.txt
set GPOsXML=GPOs-%OU%.XML
:: ---------------------------------------------------
rem
rem ################################################################
rem
rem  Export aller Gruppenrichtlinienobjekte einzeln
rem  Erich Vonach
rem  08.04.2019
rem
rem #################################################################
::
color 4F
echo -------------------------------------------------------------
echo.
echo..
echo  Der Ordner %GPOs% wird erstellt
echo.
echo -------------------------------------------------------------
echo.
echo.
echo.
echo Abbrechen mit Strg+C oder weiter mit ENTER
echo.
pause
cls
rem #########################################################################################################################
rem # Anweisungen #
rem ###############
color F0
::
rd %GPOs% /Q /s
md %GPOs%
::
:: ---- Ordner erstellen
::
FOR /F "usebackq tokens=1 delims=;" %%G IN (%SourceDir%\%GPOsTXT%) do md %GPOs%\%%G
::
:: ---- GPOs exportieren
::
FOR /F "usebackq tokens=1 delims=;" %%G IN (%SourceDir%\%GPOsTXT%) do cscript %SourceDir%\Tools\BackupGPO.wsf %%G %GPOs%\%%G
::
:: ---- Rechte und Verknpfungen exportieren
::
FOR /F "usebackq tokens=1 delims=;" %%G IN (%SourceDir%\%GPOsTXT%) do cscript %SourceDir%\Tools\CreateXMLFromEnvironment.wsf %GPOs%\%GPOsXML%
::
echo.
echo.
echo.
echo  --------------------------------------------------------------
cls
color 2E
echo.
echo  Im Ordner %GPOs% findet sich die exportierte GPO
echo.
echo  --------------------------------------------------------------
echo.
pause
endlocal

